Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2019-10-17 08:57:42 +0000
committerSravan Kumar Lakkimsetti2019-10-17 09:16:00 +0000
commita1fedb377d7706be42af18a06259eeae74580b0e (patch)
treef514558be87a9eaa9b8bfc83704e86bd78a60449
parent5094cf18c2573b2425a572ba084c4d979643d5ad (diff)
downloadeclipse.platform.releng.aggregator-a1fedb377d7706be42af18a06259eeae74580b0e.tar.gz
eclipse.platform.releng.aggregator-a1fedb377d7706be42af18a06259eeae74580b0e.tar.xz
eclipse.platform.releng.aggregator-a1fedb377d7706be42af18a06259eeae74580b0e.zip
Bug 550935 - Move source tarball generation to separate job.
Change-Id: I84c2653ad5bfc9e0541b17c499523d101329b8e2 Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
-rwxr-xr-xproduction/master-build.sh18
1 files changed, 14 insertions, 4 deletions
diff --git a/production/master-build.sh b/production/master-build.sh
index 9627e571b..18fa84bab 100755
--- a/production/master-build.sh
+++ b/production/master-build.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
#*******************************************************************************
-# Copyright (c) 2016 IBM Corporation and others.
+# Copyright (c) 2019 IBM Corporation and others.
#
# This program and the accompanying materials
# are made available under the terms of the Eclipse Public License 2.0
@@ -411,9 +411,19 @@ else
fi
fi
- pushd "$aggDir"
- mvn clean verify -DbuildId=$BUILD_ID -f eclipse-platform-sources/pom.xml
- popd
+ CURL_EXE=$(which curl)
+ RC=$?
+ if [[ ! $RC == 0 ]]
+ then
+ echo "curl not available please try again with curl installed"
+ fi
+
+ parameterString="buildId=${BUILD_ID}"
+ ${CURL_EXE} "https://ci.eclipse.org/releng/view/Builds/job/create_source_bundle/buildWithParameters?token=SourceTar&$parameterString"
+
+ #pushd "$aggDir"
+ #mvn clean verify -DbuildId=$BUILD_ID -f eclipse-platform-sources/pom.xml
+ #popd
#if [[ "true" == "${USING_TYCHO_SNAPSHOT}" || "true" == "${PATCH_TYCHO}" ]]
#then

Back to the top